Subject: bug#31069: emacs-smartparens: sp-forward-barf-sexp broken

From: Alex Kost <[email-masked]>
Date: Thu, 05 Apr 2018 22:25:21 +0300

Thorsten Wilms (2018-04-05 12:12 +0200) wrote:

> With both emacs and smartparens installed via guix,
> sp-backward-slurp-sexp, sp-forward-slurp-sexp work, but
> sp-backwards-barf-sexp and sp-forward-barf-sexp fail with:
>   Wrong type argument: integer-or-marker-p, :beg-in

It probably wouldn't help but... all these commands work for me without
any error (I use smartparens 1.11 installed with Guix).

I don't use "smartparens-mode", I use these commands directly (bound to
some keys).  This is the configuration for smartparens I have in my
emacs config file:

(with-eval-after-load 'smartparens
  (require 'smartparens-config nil t)
  (setq
   sp-navigate-reindent-after-up nil
   sp-ignore-modes-list nil
   sp-wrap-entire-symbol 'globally))

-- 
Alex